# ModSQL.conf
# 

# path to directory where indexes are to be stored (must exist)
indexpath=/tmp/modsql/index

# default package containing functions
functionpackage=ModSQL

# list of function classes, classes without '.' character are prefixed with
# 'functionpackage.'
functions=Function_Math:Function_String:Function_NVL:Aggregate_Count:Aggregate_MinMax:Aggregate_Math

# initial hash table size when hashing database rows with DISTINCT or GROUP BY
hashtable_size=65536

# list of database modules to be loaded by MetaManager
MetaManager.databases=AsciiDatabase.Manager:SampleDatabase.Manager:TemporaryDatabase.Manager

# config file for AsciiDatabase (default is /etc/asciidb.conf)
AsciiDatabase.configfile=/tmp/modsql/asciidb.conf
